> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wepayout.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Data Qualifications

> Retrieve a paginated, filterable and sortable list of data qualification processes

A paginated, filterable and sortable list of data qualification processes.

## Query Parameters

<ParamField query="per_page" type="integer">
  The number of items that will be displayed per page on paginated lists.

  Min: `0`
</ParamField>

<ParamField query="page" type="integer">
  The current page that will be displayed on paginated lists.

  Min: `0`
</ParamField>

<ParamField query="order_by" type="string">
  The field that will be used to sort data.

  Allowed values: `id`, `data_qualification_service_name`, `batch_code`, `custom_code`, `merchant.name`, `description_status`, `created_at`

  Default: `id`
</ParamField>

<ParamField query="sort" type="string">
  The sort type.

  Allowed values: `asc`, `desc`

  Default: `asc`
</ParamField>

<ParamField query="created_at" type="string">
  Created at filter.

  Example: `2020-01-01`
</ParamField>

<ParamField query="custom_code" type="string">
  Filter by custom\_code (invoice).

  Example: `abc001`
</ParamField>

<ParamField query="document" type="string">
  Filter by the beneficiary's document.

  Example: `00000000000`
</ParamField>

<ParamField query="data_qualification_service_id" type="integer">
  Filter by qualification service. You can list the available options in the endpoint [GET /v1/payout/data-qualification/services](/api-reference/data-qualification/get-services).
</ParamField>

<ParamField query="merchant_id" type="integer">
  Filter by merchant\_id.
</ParamField>

<ParamField query="status_flow_data_qualification_id" type="string">
  Filter by status. You can list the available options in the endpoint [GET /v1/payout/data-qualification/status](/api-reference/data-qualification/get-status).
</ParamField>

## Response

<ResponseField name="array" type="array">
  Array of data qualification records.

  <Expandable title="Data Qualification Object">
    <ResponseField name="id" type="integer">
      Our ID.

      Example: `123`
    </ResponseField>

    <ResponseField name="batch_code" type="string">
      Batch code.

      Example: `abc101`
    </ResponseField>

    <ResponseField name="custom_code" type="string">
      Your ID in our database, must be unique.

      Example: `cc102`
    </ResponseField>

    <ResponseField name="data_qualification_service_name" type="string">
      Service name.

      Example: `Data validation`
    </ResponseField>

    <ResponseField name="status_flow_data_qualification_id" type="integer">
      Data qualification status ID.

      Example: `1`
    </ResponseField>

    <ResponseField name="data_qualification_status_flow_name" type="string">
      Data qualification status name.

      Example: `Processing`
    </ResponseField>

    <ResponseField name="description_status" type="string">
      Data qualification status description.

      Example: `Processando`
    </ResponseField>

    <ResponseField name="name" type="string">
      Beneficiary name.

      Example: `Maria Jose`
    </ResponseField>

    <ResponseField name="document" type="string">
      Beneficiary document.

      Example: `12345678909`
    </ResponseField>

    <ResponseField name="bank_code" type="string">
      Bank code.

      Example: `104`
    </ResponseField>

    <ResponseField name="bank_branch" type="string">
      Bank branch.

      Example: `0123`
    </ResponseField>

    <ResponseField name="bank_branch_digit" type="string">
      Bank branch digit.

      Example: `0`
    </ResponseField>

    <ResponseField name="account" type="string">
      Bank account.

      Example: `123456`
    </ResponseField>

    <ResponseField name="account_digit" type="string">
      Bank account digit.

      Example: `1`
    </ResponseField>

    <ResponseField name="account_type_name" type="string">
      Account type.

      Example: `Checking account`
    </ResponseField>

    <ResponseField name="amount" type="number">
      Source amount.

      Example: `1.1`
    </ResponseField>

    <ResponseField name="created_at" type="string">
      Creation timestamp.

      Format: `YYYY-MM-DD HH:mm:ss`
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      Last update timestamp.

      Format: `YYYY-MM-DD HH:mm:ss`
    </ResponseField>

    <ResponseField name="merchant" type="object">
      Merchant information.

      <Expandable title="Merchant Object">
        <ResponseField name="id" type="string">
          Merchant ID.
        </ResponseField>

        <ResponseField name="name" type="string">
          Merchant name.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

## Request Example

<CodeGroup>
  ```bash cURL - All Records theme={null}
  curl --request GET \
    --url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer {token}'
  ```

  ```bash cURL - With Filters theme={null}
  curl --request GET \
    --url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification?page=1&per_page=10&order_by=created_at&sort=desc&status_flow_data_qualification_id=1' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer {token}'
  ```

  ```bash cURL - Filter by Document theme={null}
  curl --request GET \
    --url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification?document=12345678909' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer {token}'
  ```

  ```javascript JavaScript theme={null}
  async function listDataQualifications(filters = {}) {
    const params = new URLSearchParams(filters);
    const response = await fetch(
      `https://api.sandbox.wepayout.com.br/v1/payout/data-qualification?${params}`,
      {
        method: 'GET',
        headers: {
          'Accept': 'application/json',
          'Authorization': 'Bearer {token}'
        }
      }
    );
    
    if (!response.ok) {
      throw new Error(`Failed to fetch data qualifications: ${response.statusText}`);
    }
    
    return await response.json();
  }

  const qualifications = await listDataQualifications({
    page: 1,
    per_page: 10,
    order_by: 'created_at',
    sort: 'desc'
  });
  console.log('Data qualifications:', qualifications);
  ```

  ```python Python theme={null}
  import requests

  def list_data_qualifications(filters=None):
      url = 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification'
      headers = {
          'Accept': 'application/json',
          'Authorization': 'Bearer {token}'
      }
      
      response = requests.get(url, headers=headers, params=filters)
      response.raise_for_status()
      
      return response.json()

  qualifications = list_data_qualifications({
      'page': 1,
      'per_page': 10,
      'order_by': 'created_at',
      'sort': 'desc'
  })
  print('Data qualifications:', qualifications)
  ```
</CodeGroup>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "id": 123,
      "batch_code": "abc101",
      "custom_code": "cc102",
      "data_qualification_service_name": "Data validation",
      "status_flow_data_qualification_id": 1,
      "data_qualification_status_flow_name": "Processing",
      "description_status": "Processando",
      "name": "Maria Jose",
      "document": "12345678909",
      "bank_code": "104",
      "bank_branch": "0123",
      "bank_branch_digit": "0",
      "account": "123456",
      "account_digit": "1",
      "account_type_name": "Checking account",
      "amount": 1.1,
      "created_at": "2024-01-15 10:30:00",
      "updated_at": "2024-01-15 10:35:00",
      "merchant": {
        "id": "1",
        "name": "My Merchant"
      }
    }
  ]
  ```
</ResponseExample>
